
package de.ivu.elect.presentation.ergebnis.exchange;

import javax.inject.Inject;

import de.ivu.elect.business.exchange.entity.DateiImportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.jee.exchange.ImportOptions;
import de.ivu.elect.presentation.exchange.ImportDescription;

public class StimmenImportDescription implements ImportDescription {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient ErgebnisPageMenuErmittler ergebnisPageMenuErmittler;

  @Override
  public String getImportSearchViewId() {
    return StimmenImportSearchView.VIEW_ID;
  }

  @Override
  public String getImportFormatFestlegenViewId() {
    return StimmenImportFormatFestlegenView.VIEW_ID;
  }

  @Override
  public String getImportBestaetigenViewId() {
    return StimmenImportBestaetigenView.VIEW_ID;
  }

  @Override
  public DateiImportArt getDateiImportArt() {
    return DateiImportArt.STIMMERGEBNISSE_IMPORT;
  }

  @Override
  public boolean isConfirmationForImportNeeded() {
    return true;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.STIMMEN_IMPORTIEREN;
  }

  @Override
  public boolean isSpecificPerWahlOrWahltermin() {
    return true;
  }

  @Override
  public String getPageMenuComponentName() {
    return ergebnisPageMenuErmittler.getErgebnisPageMenu();
  }

  @Override
  public ImportOptions getDefaultImportOptions() {
    return ImportOptions.IMPORT_VOLLSTAENDIG_UEBERNEHMEN;
  }
}
